Incus - Command line client(1)

NAME
incus-admin-sql - Execute a SQL query against the local or global database

SYNOPSIS
incus admin sql ⟨local|global⟩ [flags]

DESCRIPTION
Description:
  Execute a SQL query against the local or global database

    The local database is specific to the cluster member you target the
    command to, and contains member-specific data (such as the member network
    address).

    The global database is common to all members in the cluster, and contains
    cluster-specific data (such as profiles, containers, etc).

    Non-clustered servers still have both local and global databases.

    If <query> is the special value "-", then the query is read from
    standard input.

    If <query> is the special value ".dump", the command returns a SQL text
    dump of the given database.

    If <query> is the special value ".schema", the command returns the SQL
    text schema of the given database.

    If <query> is the special value ".tables", the command returns the SQL
    text tables of the given database.

    This internal command is mostly useful for debugging and disaster
    recovery. The development team will occasionally provide hotfixes to users as a
    set of database queries to fix some data inconsistency.

OPTIONS
-f, --format="table"
    ``Format (csv|json|table|yaml|compact|markdown), use suffix ",noheader" to disable headers and ",header" to enable it if missing, e.g. csv,header

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

SEE ALSO
incus-admin(1)

HISTORY
30-Jul-2026 Auto generated by spf13/cobra